
package de.ivu.elect.presentation.search;

import java.io.Serializable;

import javax.inject.Inject;

import org.apache.deltaspike.core.api.scope.ConversationGroup;
import org.apache.deltaspike.core.api.scope.GroupedConversationScoped;

import de.ivu.elect.business.search.boundary.AbstractBenutzerSuchparameterSearchParameters;
import de.ivu.elect.business.search.boundary.BenutzerSuchparameterSearchParameters;

@GroupedConversationScoped
@ConversationGroup(BenutzerSuchparameterSearchViewStore.class)
public class BenutzerSuchparameterSearchViewStore implements Serializable {

  private static final long serialVersionUID = 1L;

  @Inject
  @ConversationGroup(AbstractBenutzerSuchparameterSearchParameters.class)
  private transient BenutzerSuchparameterSearchParameters searchParameters;

  private String suchparameterViewId;

  public BenutzerSuchparameterSearchViewStore() {
    super();
  }

  public String getSuchparameterViewId() {
    return suchparameterViewId;
  }

  public void setSuchparameterViewId(String suchparameterViewId) {
    searchParameters.reset(); // ELECT-4070

    this.suchparameterViewId = suchparameterViewId;
  }
}
